#
# spec file for package perl-Role-Identifiable
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Role-Identifiable
Name:           perl-Role-Identifiable
Version:        0.009
Release:        1.11
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Thing you can identify somehow
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::TypeConstraints)
%{perl_requires}

%description
Role::Identifiable isn't really a module that does anything. It's here to
make things simpler for indexing on CPAN and looking up docs.

You probably want to use either Role::Identifiable::HasIdent, for
identifying things by an identifier string, or Role::Identifiable::HasTags
for identifying things by a list of tags.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan  1 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.009
  see /usr/share/doc/packages/perl-Role-Identifiable/Changes
  0.009     2022-12-31 16:48:48-05:00 America/New_York
  - tweak some packaging information (author, etc)
* Mon Jun 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.008
  see /usr/share/doc/packages/perl-Role-Identifiable/Changes
  0.008     2022-06-12 15:25:28-04:00 America/New_York
  - tweak some packaging information (author, etc)
  - add Role::Identifiable just to make life simpler
    ( https://github.com/rjbs/Role-Identifiable/issues/3 )
* Sat May  2 2015 coolo@suse.com
- updated to 0.007
  see /usr/share/doc/packages/perl-Role-Identifiable/Changes
  0.007     2013-10-15 22:18:31 America/New_York
    update bugtracker and repo metadata
  0.006     2013-08-30 15:41:27 America/New_York
    [NOT QUITE BACKWARD COMPATIBLE]
    idents now have to be non-empty and can't start or end with spaces
* Tue Apr  5 2011 coolo@novell.com
- initial package 0.005
  * created by cpanspec 1.78.03
